%define upstream_version 0.1.0
Name:           puppet-vlan
Version: 0.1.0
Release: 0.20160802181831.c937de7%{?dist}
Summary:        Vlan Puppet Module
License:        Apache-2.0

URL:            https://github.com/derekhiggins/puppet-vlan

Source0: 0.1.0-0.20160802181831.c937de7-c937de75c28e63fba8d8738ad6a5f2ede517e53d.tar.gz

BuildArch:      noarch

Requires:       puppet >= 2.7.0

%description
Very simple puppet module to install a vlan.

%prep
%setup -q -n %{name}-%{version}

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/vlan/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/vlan/



%files
%{_datadir}/openstack-puppet/modules/vlan/


%changelog
